clear all; %#ok<CLALL>

%   Compile the complete data structure
%   Field 1: Initials or file name (D - deembedded)
%   Field 2: Weight, lb
%   Field 3: Height, ft
%   Field 4: Age in years
%   Field 5: Osteo Potential - 1(healthy=young), 2(likely healthy), 3(likely osteopenia), 4(osteopenia), 5(osteporosis)
%   Field 6: Left wrist circumference, inches
%   Field 7: Right wrist circumference, inches
%   Field 8: Sex
%   Field 9: Special remarks (eg. African American, etc.) ALL SPECIAL
%   REMARKS HAVE BEEN DELETED IN THIS PUBLIC VERSION

m = 1;
F1{m} = 'DS02';  F2(m) = 170; F3(m) = 5+4/12;  F4(m) = 80;  F5(m) = 4; F6(m) = 7; F7(m) = 7; F8(m) = 'm'; F9{m} = '';
m = 2;
F1{m} = 'DS06';  F2(m) = 190;   F3(m) = 5+6/12;  F4(m) = 56;  F5(m) = 2; F6(m) = 7+3/4; F7(m) = 8; F8(m) = 'm'; F9{m} = '';
m = 3;
F1{m} = 'DS25';  F2(m) = 139;   F3(m) = 5+5/12;  F4(m) = 44;  F5(m) = 2; F6(m) = 6+1/4; F7(m) = 6+1/4; F8(m) = 'f'; F9{m} = '';
m = 4;
F1{m} = 'DS14';  F2(m) = 156;   F3(m) = 5+1/12;  F4(m) = 42;  F5(m) = 2; F6(m) = 6+0/4; F7(m) = 6+0/4; F8(m) = 'f'; F9{m} = '';
m = 5;
F1{m} = 'DS18';  F2(m) = 153;   F3(m) = 4+11/12;  F4(m) = 85;  F5(m) = 4; F6(m) = 5+3/4; F7(m) = 5+3/4; F8(m) = 'f'; F9{m} = '';
m = 6;
F1{m} = 'DS19';  F2(m) = 160;    F3(m) = 5+2/12;  F4(m) = 51;   F5(m) = 2; F6(m) = 5+3/8; F7(m) = 5+3/4; F8(m) = 'f'; F9{m} = '';
m = 7;
F1{m} = 'DS27';  F2(m) = 190;    F3(m) = 5+4/12;  F4(m) = 56;   F5(m) = 3; F6(m) = 6+4/8; F7(m) = 6+3/4; F8(m) = 'f'; F9{m} = '';
m = 8;
F1{m} = 'DS28';  F2(m) = 152;    F3(m) = 5+4/12;  F4(m) = 28;   F5(m) = 1; F6(m) = 6+3/4; F7(m) = 6+1/2; F8(m) = 'f'; F9{m} = '';
m = 9;
F1{m} = 'DS31';  F2(m) = 155;    F3(m) = 5+5/12;  F4(m) = 50;   F5(m) = 3; F6(m) = 5+1/2; F7(m) = 5+3/4; F8(m) = 'f'; F9{m} = '';
m = 10;
F1{m} = 'DS34';  F2(m) = 170;    F3(m) = 5+6/12;  F4(m) = 55;   F5(m) = 3; F6(m) = 6+1/4; F7(m) = 6+1/4; F8(m) = 'f'; F9{m} = '';
m = 11;
F1{m} = 'DS40';  F2(m) = 175;    F3(m) = 5+9/12;  F4(m) = 50;   F5(m) = 2; F6(m) = 6+3/4; F7(m) = 6+3/4; F8(m) = 'm'; F9{m} = '';
m = 12;
F1{m} = 'DS42'; F2(m) = 160;    F3(m) = 4+11/12;  F4(m) = 60;   F5(m) = 2; F6(m) = 7+0/4; F7(m) = 7+0/4; F8(m) = 'f'; F9{m} = '';
m = 13;
F1{m} = 'DS44';  F2(m) = 110;    F3(m) = 5+3/12;  F4(m) = 58;   F5(m) = 3; F6(m) = 5+3/8; F7(m) = 5+1/2; F8(m) = 'f'; F9{m} = '';
m = 14;
F1{m} = 'DS47';  F2(m) = 256;    F3(m) = 5+9/12;  F4(m) = 29;   F5(m) = 1; F6(m) = 8+0/8; F7(m) = 8+1/4; F8(m) = 'm'; F9{m} = '';
m = 15;
F1{m} = 'DS49';  F2(m) = 145;    F3(m) = 5+8/12;  F4(m) = 54;   F5(m) = 3; F6(m) = 6+1/4; F7(m) = 6+1/4; F8(m) = 'f'; F9{m} = '';
m = 16;
F1{m} = 'DS50';  F2(m) = 186;    F3(m) = 5+6/12;  F4(m) = 62;   F5(m) = 2; F6(m) = 7+1/2; F7(m) = 7+1/2; F8(m) = 'm'; F9{m} = '';
m = 17;
F1{m} = 'DS51';  F2(m) = 142;    F3(m) = 5+3/12;  F4(m) = 63;   F5(m) = 2; F6(m) = 6+1/2; F7(m) = 6+1/2; F8(m) = 'f'; F9{m} = '';
m = 18;
F1{m} = 'DS52'; F2(m) = 155;    F3(m) = 5+9/12;  F4(m) = 75;   F5(m) = 3; F6(m) = 7+0/2; F7(m) = 7+1/8; F8(m) = 'm'; F9{m} = '';
m = 19;
F1{m} = 'DS57';  F2(m) = 150;    F3(m) = 5.81;    F4(m) = 64;   F5(m) = 3; F6(m) = 6.8; F7(m) = 6.9; F8(m) = 'm'; F9{m} = '';
m = 20;
F1{m} = 'DS60';  F2(m) = 218;    F3(m) = 5+10/12; F4(m) = 47;   F5(m) = 2; F6(m) = 7+3/4; F7(m) = 7+3/4; F8(m) = 'm'; F9{m} = '';
m = 21;
F1{m} = 'DS58';  F2(m) = 163;    F3(m) = 5+7/12;  F4(m) = 71;   F5(m) = 2; F6(m) = 6+7/8; F7(m) = 7+0/4; F8(m) = 'f'; F9{m} = '';
m = 22;
F1{m} = 'DS66';  F2(m) = 198;    F3(m) = 5+9/12;  F4(m) = 30;   F5(m) = 1; F6(m) = 7+1/4; F7(m) = 7+0/4; F8(m) = 'm'; F9{m} = '';
m = 23;
F1{m} = 'DS64';  F2(m) = 185;    F3(m) = 5+10/12;  F4(m) = 23;   F5(m) = 1; F6(m) = 6.875; F7(m) = 6.625; F8(m) = 'm'; F9{m} = '';
m = 24;
F1{m} = 'DS65';  F2(m) = 200;    F3(m) = 5+9/12;   F4(m) = 58;   F5(m) = 2; F6(m) = 7+0/4; F7(m) = 7+1/4; F8(m) = 'm'; F9{m} = '';
m = 25;
F1{m} = 'DS61';  F2(m) = 124;   F3(m) = 5+4/12;   F4(m) = 26;   F5(m) = 1; F6(m) = 6+0/4; F7(m) = 6+0/4; F8(m) = 'f'; F9{m} = '';
m = 26;
F1{m} = 'DS67';   F2(m) = 145;   F3(m) = 5+4/12;   F4(m) = 57;   F5(m) = 2.5; F6(m) = 6+3/8; F7(m) = 6+1/4; F8(m) = 'f'; F9{m} = '';
m = 27;
F1{m} = 'DS70';   F2(m) = 190;   F3(m) = 5+8/12;   F4(m) = 69;   F5(m) = 2;  F6(m) = 7+1/4; F7(m) = 7+0/4; F8(m) = 'm'; F9{m} = '';
m = 28;
F1{m} = 'DS71';   F2(m) = 130;   F3(m) = 5+4/12;   F4(m) = 55;   F5(m) = 5;  F6(m) = 5+3/8; F7(m) = 5+5/8; F8(m) = 'f'; F9{m} = '';
m = 29;
F1{m} = 'DS03';   F2(m) = 138;   F3(m) = 5+5/12;   F4(m) = 56;   F5(m) = 4;  F6(m) = 6.375; F7(m) = 6+1/2; F8(m) = 'f'; F9{m} = '';
m = 30;
F1{m} = 'DS04';   F2(m) = 189;   F3(m) = 5+8/12;   F4(m) = 79;   F5(m) = 2;  F6(m) = 7.75;  F7(m) = 7.50; F8(m) = 'f'; F9{m} = '';
m = 31;
F1{m} = 'DS08';   F2(m) = 179;   F3(m) = 5+4/12;   F4(m) = 74;   F5(m) = 3;  F6(m) = 7.875;  F7(m) = 7.625; F8(m) = 'f'; F9{m} = '';
m = 32;
F1{m} = 'DS10';   F2(m) = 128;   F3(m) = 5+0/12;   F4(m) = 83;   F5(m) = 4;  F6(m) = 5.75;  F7(m) = 6.5; F8(m) = 'f'; F9{m} = '';
m = 33;
F1{m} = 'DS20';   F2(m) = 188;   F3(m) = 5+0/12;   F4(m) = 82;   F5(m) = 4;  F6(m) = 7+0;  F7(m) = 7+0; F8(m) = 'f'; F9{m} = '';
m = 34;
F1{m} = 'DS21';   F2(m) = 188;   F3(m) = 5+0/12;   F4(m) = 82;   F5(m) = 2;  F6(m) = 7+0;  F7(m) = 7+0; F8(m) = 'f'; F9{m} = '';
m = 35;
F1{m} = 'DS22';   F2(m) = 177;   F3(m) = 5+5/12;   F4(m) = 69;   F5(m) = 4;  F6(m) = 7.25;  F7(m) = 7.25; F8(m) = 'f'; F9{m} = '';
m = 36;
F1{m} = 'DS30';   F2(m) = 140;   F3(m) = 5+2/12;   F4(m) = 84;   F5(m) = 4;  F6(m) = 6.75;  F7(m) = 7.0; F8(m) = 'f'; F9{m} = '';
m = 37;
F1{m} = 'DS32';   F2(m) = 165;   F3(m) = 5+6/12;   F4(m) = 86;   F5(m) = 3;  F6(m) = 6.625;  F7(m) = 6.75; F8(m) = 'f'; F9{m} = '';
m = 38;
F1{m} = 'DS41';   F2(m) = 217;   F3(m) = 5+4/12;   F4(m) = 67;   F5(m) = 2;  F6(m) = 7.25;  F7(m) = 7.5; F8(m) = 'f'; F9{m} = ''; 
m = 39;
F1{m} = 'DS43';   F2(m) = 138;   F3(m) = 5+0/12;   F4(m) = 88;   F5(m) = 4;  F6(m) = 6.0;  F7(m) = 6.0; F8(m) = 'f'; F9{m} = '';
m = 40;
F1{m} = 'DS46';   F2(m) = 158;   F3(m) = 4+10/12;   F4(m) = 79;  F5(m) = 4;  F6(m) = 6.625;  F7(m) = 6.625; F8(m) = 'f'; F9{m} = '';
m = 41;
F1{m} = 'DS48';  F2(m) = 180;   F3(m) = 5+2/12;   F4(m) = 76;   F5(m) = 4;  F6(m) = 6.0;  F7(m) = 6.0; F8(m) = 'f'; F9{m} = '';
m = 42;
F1{m} = 'DS59';  F2(m) = 140;   F3(m) = 5+2/12;   F4(m) = 81;    F5(m) = 5;  F6(m) = 6.75;  F7(m) = 6.5; F8(m) = 'f'; F9{m} = '';
m = 43;
F1{m} = 'DS62';  F2(m) = 168;   F3(m) = 5+7/12;   F4(m) = 74;    F5(m) = 5;  F6(m) = 6.75;  F7(m) = 7.125; F8(m) = 'f'; F9{m} = '';
m = 44;
F1{m} = 'DS63';  F2(m) = 150;   F3(m) = 5+0/12;   F4(m) = 84;   F5(m) = 4;  F6(m) = 5.75;  F7(m) = 5.75; F8(m) = 'f'; F9{m} = '';
m = 45;
F1{m} = 'DS68';  F2(m) = 180;   F3(m) = 5+3/12;   F4(m) = 72;    F5(m) = 2;  F6(m) = 7.5;  F7(m) = 8.0; F8(m) = 'f'; F9{m} = ''; 
m = 46;
F1{m} = 'DS69';  F2(m) = 134;   F3(m) = 4+9/12;   F4(m) = 90;    F5(m) = 4;  F6(m) = 6.5;  F7(m) = 6.25; F8(m) = 'f'; F9{m} = ''; 
m = 47;
F1{m} = 'DS72';  F2(m) = 185;   F3(m) = 5+5/12;   F4(m) = 72;    F5(m) = 2;  F6(m) = 7.25;  F7(m) = 7.25; F8(m) = 'f'; F9{m} = ''; 
m = 48;
F1{m} = 'DS01';  F2(m) = 142;   F3(m) = 5+0/12;   F4(m) = 78;    F5(m) = 2;  F6(m) = 7.25;  F7(m) = 7.25; F8(m) = 'f'; F9{m} = ''; 
m = 49;
F1{m} = 'DS05';  F2(m) = 180;   F3(m) = 5+2/12;   F4(m) = 87;    F5(m) = 4;  F6(m) = 7.375;  F7(m) = 7.5; F8(m) = 'f'; F9{m} = ''; 
m = 50;
F1{m} = 'DS07';  F2(m) = 191;   F3(m) = 5+0/12;   F4(m) = 69;    F5(m) = 2;  F6(m) = 7.25;  F7(m) = 7.375; F8(m) = 'f'; F9{m} = ''; 
m = 51;
F1{m} = 'DS11';  F2(m) = 159;   F3(m) = 5+0/12;   F4(m) = 72;    F5(m) = 2;  F6(m) = 7.0;  F7(m) = 7.0; F8(m) = 'f'; F9{m} = ''; 
m = 52;
F1{m} = 'DS12';  F2(m) = 170;   F3(m) = 5+6/12;   F4(m) = 72;    F5(m) = 2;  F6(m) = 7.5;  F7(m) = 8.125; F8(m) = 'f'; F9{m} = ''; 
m = 53;
F1{m} = 'DS13';  F2(m) = 115;   F3(m) = 4+10/12;  F4(m) = 80;    F5(m) = 4;  F6(m) = 5.75;  F7(m) = 6.0; F8(m) = 'f'; F9{m} = ''; 
m = 54;
F1{m} = 'DS15';  F2(m) = 201;   F3(m) = 5+2/12;  F4(m) = 78;     F5(m) = 2;  F6(m) = 8.125;  F7(m) = 8.25; F8(m) = 'f'; F9{m} = ''; 
m = 55;
F1{m} = 'DS16';  F2(m) = 139;   F3(m) = 5+1/12;  F4(m) = 80;     F5(m) = 5;  F6(m) = 8.0;  F7(m) = 8.0; F8(m) = 'f'; F9{m} = ''; 
m = 56;
F1{m} = 'DS17';  F2(m) = 148;   F3(m) = 5+2/12;  F4(m) = 79;     F5(m) = 4;  F6(m) = 6.25;  F7(m) = 7.0; F8(m) = 'f'; F9{m} = '';
m = 57;
F1{m} = 'DS26';  F2(m) = 180;   F3(m) = 5+3/12;  F4(m) = 62;    F5(m) = 2;  F6(m) = 7.375;  F7(m) = 7.5; F8(m) = 'f'; F9{m} = '';
m = 58;
F1{m} = 'DS33';  F2(m) = 125;   F3(m) = 5+4/12;  F4(m) = 77;    F5(m) = 3;  F6(m) = 6.0;  F7(m) = 6.0; F8(m) = 'f'; F9{m} = '';
m = 59;
F1{m} = 'DS35';  F2(m) = 175;   F3(m) = 5+0/12;  F4(m) = 80;     F5(m) = 2;  F6(m) = 7.0;  F7(m) = 6.625; F8(m) = 'f'; F9{m} = '';
m = 60;
F1{m} = 'DS39';  F2(m) = 190;   F3(m) = 5+5/12;  F4(m) = 72;     F5(m) = 2;  F6(m) = 7.125;  F7(m) = 7.125; F8(m) = 'f'; F9{m} = '';
m = 61;
F1{m} = 'DS45';  F2(m) = 182;   F3(m) = 5+0/12;  F4(m) = 70;    F5(m) = 2;  F6(m) = 7.5;  F7(m) = 7.625; F8(m) = 'f'; F9{m} = '';
m = 62;
F1{m} = 'DS53';  F2(m) = 172;   F3(m) = 4+11/12;  F4(m) = 78;    F5(m) = 4;  F6(m) = 6.0;  F7(m) = 6.0; F8(m) = 'f'; F9{m} = ''; 
m = 63;
F1{m} = 'DS54';  F2(m) = 182;   F3(m) = 5+3/12;   F4(m) = 69;    F5(m) = 2;  F6(m) = 7.5;  F7(m) = 7.5; F8(m) = 'f'; F9{m} = '';
m = 64;
F1{m} = 'DS55';  F2(m) = 150;   F3(m) = 5+0/12;   F4(m) = 81;    F5(m) = 2;  F6(m) = 6.375;  F7(m) = 6.625; F8(m) = 'f'; F9{m} = '';
m = 65;
F1{m} = 'DS56';  F2(m) = 156;   F3(m) = 4+8/12;   F4(m) = 94;    F5(m) = 3;  F6(m) = 6.75;  F7(m) = 6.875; F8(m) = 'f'; F9{m} = '';
m = 66;
F1{m} = 'DS38';  F2(m) = 120;   F3(m) = 5+3/12;   F4(m) = 44;    F5(m) = 3;  F6(m) = 5+1/4;  F7(m) = 5+3/4; F8(m) = 'f'; F9{m} = '';
m = 67;
F1{m} = 'DS24';  F2(m) = 150;   F3(m) = 5+4/12;   F4(m) = 72;    F5(m) = 4;  F6(m) = 5+3/4;  F7(m) = 5+4/4; F8(m) = 'f'; F9{m} = '';
m = 68;
F1{m} = 'DS37';  F2(m) = 145;   F3(m) = 5+6/12;   F4(m) = 55;    F5(m) = 4;  F6(m) = 6+0/4;  F7(m) = 6+1/8; F8(m) = 'f'; F9{m} = '';
m = 69;
F1{m} = 'DS36';  F2(m) = 130;   F3(m) = 4+6/12;   F4(m) = 86;    F5(m) = 5;  F6(m) = 5;  F7(m) = 5+1/4; F8(m) = 'f'; F9{m} = '';
m = 70;
F1{m} = 'DS23';    F2(m) = 150;   F3(m) = 5+2/12;   F4(m) = 60;    F5(m) = 2;  F6(m) = 5+1/4;  F7(m) = 5+1/4; F8(m) = 'f'; F9{m} = '';
m = 71;
F1{m} = 'DS29';    F2(m) = 220;   F3(m) = 5+5/12;   F4(m) = 60;    F5(m) = 2;  F6(m) = 7+3/4;  F7(m) = 7+1/2; F8(m) = 'm'; F9{m} = '';
m = 72;
F1{m} = 'DS09';    F2(m) = 180;   F3(m) = 5+10/12;   F4(m) = 65;    F5(m) = 2;  F6(m) = 6.7;  F7(m) = 6.9; F8(m) = 'm'; F9{m} = '';

save('list', 'F1', 'F2', 'F3', 'F4', 'F5', 'F6', 'F7', 'F8', 'F9');



































