clear;
%   Osteo-level sort/All data sort
%   View all de-embedded data files
%   Basis function: Age*S21/BMI

load list;
load frequency;
[dummy, index]  = sort(F5, 'descend');
Patients        = 72;
index           = index(1:Patients);
for m = 1:Patients 
    F1temp{m} = F1{index(m)};
    F9temp{m} = F9{index(m)};    
end
F1      = F1temp;
F9      = F9temp;
F2      = F2(index);
F3      = F3(index);
F4      = F4(index);
F5      = F5(index);
F6      = F6(index);
F7      = F7(index);
F8      = F8(index);
number  = 1:Patients;

Circ = F6 + F7;
Circ = Circ/max(Circ);

%   Secondary variables
BMI    =  F2* 0.453./(F3*0.305).^2;
S21max = zeros(1, Patients);
S11max = zeros(1, Patients);
S21int = zeros(1, Patients);
S11int = zeros(1, Patients);
Sex     = zeros(1, Patients);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Big loop
windowwidth = 10;
N = 201;
for n = 1:N
    window = n:min(n+windowwidth, N); 
    fcenter(n) = round(f(round(mean(window)))/1e6);    
    fband(n)   = round((f(max(window)) - f(min(window)))/1e6);
    for m = 1:Patients
        if strcmp(F8(m), 'm')
            Sex(m) = 1;
        else
            Sex(m) = 0.5;
        end
        load(strcat(F1{m}, 'L'));
        S21intL =  sum(abs(S21(window)))/BMI(m);
        load(strcat(F1{m}, 'R'));
        S21intR =  sum(abs(S21(window)))/BMI(m);
        S21int(m) =  (S21intL+S21intR)/2;
    end
    S21int =  S21int/max(S21int);
    %----------------------------------
    fun         = F4.*S21int;   
    fun         = fun/max(fun); 
    delta       = (max(fun)-min(fun))/100;
    threshold   = [min(fun)-delta:delta:max(fun)+delta];
    M           = length(threshold);
    Se          = zeros(M, 1);
    Sp          = zeros(M, 1);
    TPR         = zeros(M, 1);
    FPR         = zeros(M, 1);
    PPV         = zeros(M, 1);
    NPV         = zeros(M, 1);
    for k = 1:M
        [Se(k), Sp(k), TPR(k), FPR(k), PPV(k), NPV(k)] = ROCMEANSTD(fun, threshold(k), F5);
    end
    YoudenFunction      = TPR - FPR;
    YoudenIndex(n)      = max(YoudenFunction);
    YoudenArea(n)       = polyarea(FPR, TPR-FPR);    
    %plot(FPR, TPR, '-b', FPR, FPR, '-b'); grid on;
%     subplot(2, 1, 1);
%     plot(threshold, PPV, '-r', threshold, NPV, '-b'); grid on;
%     title(strcat(num2str(fcenter(n)), '=fc;', num2str(fband(n)), '=fb', 'Positive (b-h) and negative (r-0) predictive values'));
%     subplot(2, 1, 2);
%     plot(threshold, Se, '-r', threshold, Sp, '-b'); grid on;
%     title(strcat(num2str(fcenter(n)), '=fc;', num2str(fband(n)), '=fb', 'Sensitivity (red-osteo) and Specificity (blue-healthy)'));
%     
%     xlabel('threshold');
%     pause
%     clf
     n
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 a = figure;
 plot(fcenter, YoudenIndex); grid on; 
 xlabel('Frequency, MHz')
 ylabel('Max Youden Index')

%  b = figure;
%  plot(fcenter, YoudenArea, 'r'); grid on; 
%  xlabel('Frequency, MHz')
%  ylabel('Youden area')
%  
%  Total = YoudenArea + NonYoudenArea;
%  plot(Total)

