clear;
%   Osteolevel sort
%   View all de-embedded data files
%   Basis function: Age*S21/BMI


load list;
Patients       = length(F5);
number         = [1:Patients]; 
[dummy, index] = sort(F5, 'descend');
F2 = F2(index);
F3 = F3(index);
F4 = F4(index);
F5 = F5(index);
F6 = F6(index);
F7 = F7(index);
F8 = F8(index);
for m = 1:Patients 
    F1temp{m} = F1{index(m)};
    F9temp{m} = F9{index(m)};    
end
F1 = F1temp;
F9 = F9temp;
%   Secondary variables
BMI    =  F2* 0.453./(F3*0.305).^2;
% f1     = figure;
% plot(number, 10*F5, '*-r', number, BMI, '*-b'); grid on;

f2 = figure;
M = 72;
OI = zeros(1, M); 
Healthy = 0;
Osteo   = 0;
for m = 1:M   
    m
    if F5(m)<=2.5
        color = [0 114 189]/255;
        linewidth = 2;
        Healthy = Healthy +1;
    end
    if F5(m)>2.5
        color = [255 0 0]/255;
        linewidth = 2;
        Osteo = Osteo + 1;
    end
    linewidth = 1;
    if F5(m)>2.5&F5(m)<4
        Osteo = Osteo - 1;
        continue;
    end
    load(strcat(F1{m}, 'L'));
    variable1 = smooth(phase(S11)); 
    line(f/1e9, variable1, 'Color', color, 'LineWidth', linewidth); 
    load(strcat(F1{m}, 'R'));
    variable2 = smooth(phase(S11));
    hold on;
    line(f/1e9, variable2, 'Color', color, 'LineWidth', linewidth);         
    grid on;    
    axis([min(f)/1e9 max(f)/1e9 -60 20]);
    xlabel('frequency, GHz')
    ylabel('transmission coefficient, a.u.')
    title(strcat('count=', num2str(m), F1{m}, '/ osteolevel=', num2str(F5(m))));    
    %   Processing
    OI(m) = sum(variable1+variable2);
end
set(gcf,'Color','White');
title('Binary classifier as a function of frequency');
xlabel('Frequency, Hz');
ylabel('Binary classifier= Transmission*Age/BMI');
Healthy
Osteo


% %   Plain processing
% OI = 5*OI/max(OI);
% f3 = figure;
% plot(number(1:M), F5(1:M), '*-r', number(1:M), OI, '*-b'); grid on;
% %   Processing with circumference
% OI = OI.*(F6(1:M)+F7(1:M)).^2;
% OI = 5*OI/max(OI);
% f3 = figure;
% plot(number(1:M), F5(1:M), '*-r', number(1:M), OI, '*-b'); grid on;




